Bug 868746 - Thunderbird/Lightning Calendar not recognized as a Calendar Application
Thunderbird/Lightning Calendar not recognized as a Calendar Application
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On: 689288
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 22:56 EDT by Luya Tshimbalanga
Modified: 2016-12-23 14:28 EST (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 689288
Environment:
Last Closed: 2016-12-17 00:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 660720 None None None Never

  None (edit)
Description Luya Tshimbalanga 2012-10-21 22:56:59 EDT
+++ This bug was initially created as a clone of Bug #689288 +++

Description of problem:
Cannot view Calendar events created in Mozilla Thunderbird/Lightning on Gnome-shell Calendar UI ... because the default Calendar Client is Evolution.  Gnome3 does not recognize that Thunderbird/Lightning is installed and that it provides this service.

Version-Release number of selected component (if applicable):
2.91.91-2.fc15

How reproducible:
100%


Steps to Reproduce:
1. Install Thunderbird
2. Install the Lightning Plug-in
3. Go to system settings -> system info -> default applications -> calendar
  
Actual results:
Only Evolution is listed

Expected results:
Evolution and Thunderbird/Lightning should be listed

Additional info:

--- Additional comment from raghusiddarth@gmail.com on 2011-07-24 20:00:31 EDT ---

I guess the following information will be use full as well :

"You must first write a patch against DateMenu
(js/ui/dateMenu.js:55) so that it can pick a custom source instead
of the default DBusEventSource (possibly analizing
org.gnome.default-applications.calendar or some other GSettings key),
then just write a Lighting EventSource (see js/ui/calendar.js), using
whatever DBus API or library Lightning uses (it may involve an extension
for Lightning, if database access is not normally granted to external
processe).
Thanks for your interest in this and file a bug when you're ready!"

--- Additional comment from adamgmetzler@gmail.com on 2011-10-27 08:01:23 EDT ---

This could be a source of ideas for keeping the evolution-calendar-server and fixing this bug but its lacking bi-directional editing of the data once its pushed to the evolution-calendar-server. https://addons.mozilla.org/en-US/thunderbird/addon/evolution-mirror/ This addon has seemed to solve half of the problem and maybe it could be extended to finish the integration.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-06 16:01:56 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from endoflife@fedoraproject.org on 2012-08-06 16:02:09 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Luya Tshimbalanga 2012-10-21 23:02:54 EDT
Reopening this bug as Mozilla Thunderbird user because the issue remains unfixed on Gnome 3.6. Gnome-shell should recognize Ligthning/Thunderbird as Calender Application in the same vein of Calendar/Evolution.
Comment 2 Adam Williamson 2013-03-27 03:59:25 EDT
let's set this to Rawhide so it doesn't get closed; it's effectively an RFE. It would probably be better filed at b.g.o, though.
Comment 3 Stephen Hatfield 2013-03-27 07:13:39 EDT
I'm still interested in seeing it get fixed . . . thanks for keeping this alive guys!
Comment 4 Fedora End Of Life 2013-04-03 12:40:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Jan Kurik 2015-07-15 10:57:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 6 Luya Tshimbalanga 2015-10-16 16:24:45 EDT
Update from https://bugzilla.gnome.org/show_bug.cgi?id=660720#c7
Comment 7 Fedora End Of Life 2016-11-24 05:50:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Colin Macdonald 2016-12-17 00:56:27 EST
Owncloud/Nextcloud give a reasonable workaround for me (thunderbird and gnome3) both sync with that).  Strange times: the easiest way to connect two pieces of software on my LOCAL COMPUTER if by linked them both to the same cloud-thing.  But Nextcloud is Free Software so acceptable!

Closing "WONTFIX".
Comment 9 Colin Macdonald 2016-12-17 00:58:11 EST
Oops, I'm sorry Luya Tshimbalanga!  That was rude: I thought this was originally a bug that I'd filed myself.  Please feel free to reopen (or ask me to).
Comment 10 Luya Tshimbalanga 2016-12-23 14:28:05 EST
(In reply to Colin Macdonald from comment #9)
> Oops, I'm sorry Luya Tshimbalanga!  That was rude: I thought this was
> originally a bug that I'd filed myself.  Please feel free to reopen (or ask
> me to).

No worries. Upstream closed the bug as WONTFIX anyway and workaround exists.

Note You need to log in before you can comment on or make changes to this bug.